# Contributing to api-test

Thank you for taking the time to contribute. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

# Working with forked go repos

If you haven't worked with forked go repos before, take a look at this blog post for some excellent advice about [contributing to go open source git repositories](https://splice.com/blog/contributing-open-source-git-repositories-go/).

# PRs

- Please open PRs against master.
- We prefer single commit PRs, but sometimes for multiple commits are justified - use your best judgement.
- Please add/modify tests to cover the proposed code changes.
- If the PR contains a new feature, please document it in the README.

# Documentation

For simple typo fixes and documentation improvements feel free to raise a PR without raising an issue in github. For anything more complicated please file an issue.